Subject: Re: bug#28724: 25.3; height of echo area when displaying tooltip
From: Eli Zaretskii <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 07 Oct 2017 15:08:13 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 07 Oct 2017 11:45:07 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > I see this in tooltip-show-help-non-mode:
>  >
>  >        (let ((message-truncate-lines t) <<<<<<<<<<<<<<<<<<<
>  >              (message-log-max nil))
>  >          (message "%s" help)))
>  >
>  > If I remove that binding, the echo area gets resized as expected to
>  > show the full tooltip.  Should we remove that binding on the emacs-26
>  > branch?
> 
> Likely it's there on purpose and somebody will get annoyed if we do
> that.  We could make it customizable.

I'm not sure it was on purpose: the log message which introduced the
above says "to closer match the behavior of C code".  But I guess you
are right that someone could become annoyed, so I added a new
defcustom and pushed the change to the master branch.

Note that this option is only effective on GUI frames.

With that, I'm closing the bug report.

Thanks.